﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Input;
using System.Windows.Resources;
using System.Xml.Linq;
using Microsoft.Phone.Controls;

namespace WindowsPhoneLoadingXMLFileDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        XElement carMakers;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            StreamResourceInfo xml = Application.GetResourceStream(new Uri("/WindowsPhoneLoadingXMLFileDemo;component/Carmakers.xml", System.UriKind.Relative));

            carMakers = XElement.Load(xml.Stream);

            this.ManipulationStarted += new EventHandler<ManipulationStartedEventArgs>(MainPage_ManipulationStarted);
        }

        void MainPage_ManipulationStarted(object sender, ManipulationStartedEventArgs e)
        {
            var carNames = from car
                           in carMakers.Elements("CarBrand")
                           select car.Attribute("Name").Value;
            lbxCarmakers.ItemsSource = carNames;
        }
    }
}

//carMakers = XElement.Load("/WindowsPhoneLoadingXMLFileDemo;component/Carmakers.xml");
